> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rownd.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List groups

> Platform API for listing all groups belonging to an app



## OpenAPI

````yaml GET /applications/{app}/groups
openapi: 3.1.0
info:
  title: Rownd API
  version: 1.0.0
servers:
  - url: https://api.rownd.io
    description: Rownd production environment
  - url: https://api.us-east-2.dev.rownd.io
    description: Rownd development environment
security:
  - hubAccessTokenForRowndApi: []
tags:
  - name: applications
  - name: application_creds
  - name: application_schemas
paths:
  /applications/{app}/groups:
    parameters:
      - $ref: '#/components/parameters/AppID'
    get:
      tags:
        - groups
      description: Platform API for listing all groups belonging to an app
      operationId: application_groups_list
      parameters:
        - $ref: '#/components/parameters/PageSizeMax100'
        - $ref: '#/components/parameters/After'
        - $ref: '#/components/parameters/LookupFilter'
      responses:
        '200':
          description: Groups retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupList'
      security:
        - appKey: []
          appSecret: []
        - hubAccessTokenForRowndApi: []
components:
  parameters:
    AppID:
      name: app
      in: path
      schema:
        type: string
      required: true
      description: Rownd application ID
    PageSizeMax100:
      name: page_size
      in: query
      schema:
        type: integer
      description: Number of resources to return per query. Max is 100.
    After:
      name: after
      in: query
      schema:
        type: string
      description: >
        ID of the last resource in the previous page. If provided, the next page
        of results is

        returned beginning with this resource ID.
    LookupFilter:
      name: lookup_filter
      in: query
      schema:
        type: string
      description: Return resources that match this filter
  schemas:
    GroupList:
      properties:
        total_results:
          type: integer
        results:
          type: array
          items:
            $ref: '#/components/schemas/Group'
    Group:
      properties:
        id:
          type: string
          readOnly: true
          description: The group ID
          example: group_a3l1n2lsnb3q0xbul9enjnh7
        name:
          type: string
          description: The group name
          example: My Teammates
        member_count:
          description: >
            This value is no longer provided by the API. The default value of 0
            will always be returned
          type: number
          readOnly: true
          default: 0
          deprecated: true
        app_id:
          type: string
          readOnly: true
          description: Rownd application ID
          example: '327677849595019856'
        admission_policy:
          type: string
          enum:
            - invite_only
            - open
          description: Set whether the group be open for anyone to join or by invite only
          default: invite_only
          example: invite_only
        meta:
          description: An object containing additional metadata for the group
          additionalProperties: true
          nullable: true
        created_at:
          $ref: '#/components/schemas/CreatedAt'
        updated_at:
          $ref: '#/components/schemas/UpdatedAt'
        updated_by:
          $ref: '#/components/schemas/CreatedBy'
        created_by:
          $ref: '#/components/schemas/UpdatedBy'
    CreatedAt:
      type: string
      format: date-time
      readOnly: true
      description: The ISO 8601 date-time that the resource was created
    UpdatedAt:
      type: string
      format: date-time
      readOnly: true
      description: The ISO 8601 date-time that the resource was updated
    CreatedBy:
      type: string
      readOnly: true
      example: user_t6ftnnmw55pamuhfo9xvw0yl
      description: The ID of the user that created the resource
    UpdatedBy:
      type: string
      readOnly: true
      example: user_t6ftnnmw55pamuhfo9xvw0yl
      description: The ID of the user that most recently updated the resource
  securitySchemes:
    hubAccessTokenForRowndApi:
      type: http
      scheme: bearer
      description: >
        Bearer authentication header of the form `Bearer <token>` where
        `<token>` is your Rownd JWT
    appKey:
      type: apiKey
      in: header
      name: x-rownd-app-key
      description: >-
        The publishable key of your application credentials. ([more
        details](/configuration/app-credentials#appkey))
    appSecret:
      type: apiKey
      in: header
      name: x-rownd-app-secret
      description: >-
        The private secret of your application credentials. ([more
        details](/configuration/app-credentials#appsecret))

````